Consultar guía de remisión

GET /api/dispatch/{externalid}

Headers

Key

Value

Content-Type

application/json

Authorization

Bearer {{token}}

Ejemplos

Ejemplo 1

Response 200 OK

{
  "success": true,
  "dispatch": {
    "id": 95,
    "external_id": "8ad97767-07e3-43eb-877e-b70d7f8a4817",
    "series": "T001",
    "number": 80,
    "document_type_id": "09",
    "document_type": "GUIA DE REMISIÓN REMITENTE",
    "number2": "T001-80",
    "date_of_issue": "2026-07-02",
    "time_of_issue": "10:11:11",
    "state_type_description": "Aceptado",
    "customer_name": "EMPRESA XYZ S.A.",
    "customer_email": "demo@gmail.com",
    "customer_number": "20601274133",
    "customer_address": "Av. 2 de Mayo",
    "customer_address_dis": "Lima",
    "customer_address_prov": "Lima",
    "customer_address_dev": "LIMA",
    "customer_address_dis_id": "150101",
    "customer_address_prov_id": "1501",
    "customer_address_dev_id": "15",
    "customer_telephone": "427-1148",
    "customer_trade_name": "EMPRESA XYZ",
    "customer_document": "RUC",
    "seller_name": "Administrador",
    "doc_afectado_number": "190",
    "doc_afectado_series": "F001",
    "doc_afectado_document_type": "FACTURA ELECTRÓNICA",
    "doc_afectado_document_type_id": "01",
    "observaciones": "aaaaaaaaaaaaaaa",
    "motivo": "El cliente solicito envia a su trabajo en ...",
    "transfer_reason": "Consignación",
    "fecha_envio": "2026-07-02",
    "unit_type_id": "KGM",
    "total_weight": "30.00",
    "packages_number": 1,
    "origin_address": "PUNTO A",
    "origin_location_id": "150101",
    "origin_dis": "Lima",
    "origin_prov": "Lima",
    "origin_dep": "LIMA",
    "delivery_address": "PUNTO 2",
    "delivery_location_id": "150101",
    "delivery_dis": "Lima",
    "delivery_prov": "Lima",
    "delivery_dep": "LIMA",
    "dispatcher_dispatcher": null,
    "dispatcher_number": null,
    "dispatcher_doc": null,
    "driver_dispatcher": "JUAN",
    "driver_number": "41784439",
    "driver_doc": "1",
    "transport_mode": "Transporte privado",
    "items": [
      {
        "unit_type_id": "NIU",
        "internal_id": "123456",
        "description": "Cafe molido premium 500g",
        "quantity": "2.0000"
      }
    ],
    "qr": null
  }
}